> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/embedded-wallets/update-wallet-status",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Update wallet status

> Update the enabled/disabled status of a specific Non Custodial Wallet



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml patch /ncw/wallets/{walletId}/status
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /ncw/wallets/{walletId}/status:
    patch:
      tags:
        - Embedded Wallets
      summary: Update wallet status
      description: Update the enabled/disabled status of a specific Non Custodial Wallet
      operationId: updateEmbeddedWalletStatus
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
        - in: path
          name: walletId
          description: Wallet Id
          example: 550e8400-e29b-41d4-a716-446655440000
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnableWallet'
      responses:
        '204':
          description: No Content - Wallet status updated successfully
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<void>> =
            fireblocks.embeddedWallets.updateEmbeddedWalletStatus(embeddedWalletsApiUpdateEmbeddedWalletStatusRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<Void>> response =
            fireblocks.embeddedWallets().updateEmbeddedWalletStatus(enableWallet,
            walletId, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.embedded_wallets.update_embedded_wallet_status(enable_wallet,
            wallet_id, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    EnableWallet:
      type: object
      properties:
        enabled:
          type: boolean
          description: Whether the wallet should be enabled or disabled
          example: true
      required:
        - enabled
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````